<?php

/**
 * Erweiterung der REDAXO-Klasse rex_form
 * 
 * @method preSave Separator fr die Liste der zugeordneten Artikel ("," zu "|")
 * @method preView Separator fr die Liste der zugeordneten Artikel ("|" zu ",")
 */
class rex_tag_form extends rex_form
{

  function rex_tag_form($tableName, $fieldset, $whereCondition, $method = 'post', $debug = false)
  {
    parent::rex_form($tableName, $fieldset, $whereCondition, $method, $debug);
  }

  function preSave($fieldsetName, $fieldName, $fieldValue, &$saveSql)
  {
    if ($fieldsetName == $this->getFieldsetName() && $fieldName == 'rel_art_ids')
    {
      // Liste von "," auf "|" umstellen
      $values = explode(',', $fieldValue);
      $values = array_unique($values);
      return '|'.implode('|', $values).'|';
    }
    return parent::preSave($fieldsetName, $fieldName, $fieldValue, $saveSql);
  }

  function preView($fieldsetName, $fieldName, $fieldValue)
  {
    if ($fieldsetName == $this->getFieldsetName() && $fieldName == 'rel_art_ids')
    {
      // Liste von "|" auf "," umstellen
      $values = explode('|', trim($fieldValue, '|'));
      return implode(',', $values);
    }
    return parent::preView($fieldsetName, $fieldName, $fieldValue, $saveSql);
  }

}

?>