<?php
/**
 * MP Tags Addon
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4.5
 * @version $Id: install.inc.php,v 1.1 2013/09/17 20:03:00 elektra Exp $
 */

$error = '';
$basedir = dirname(__FILE__);


// mind. REDAXO-Version 4.5.0 muss vorhanden sein
$_REX['REDAXO-VERSION'] = $REX['VERSION'].'.'.$REX['SUBVERSION'].'.'.$REX['MINORVERSION'];
if (version_compare($_REX['REDAXO-VERSION'], '4.5.0', '<'))
{
  $error = 'Required REDAXO >= 4.5.0';
}


// erstelle AddOn-Ordner im files-Ordner
// und kopiere Dateien in den erstellten Ordner
$startDir = $REX['MEDIAFOLDER'].'/addons';
$destDir = $startDir.'/mp_tags';
$sourceDir = $basedir.'/files';
if ($error == '' && !is_dir($startDir) && !mkdir($startDir))
{
  $error = 'Unable to create folder "'. $startDir .'"';
}
if ($error == '' && !rex_copyDir($sourceDir, $destDir, $startDir))
{
  $error = 'Unable to copy the files of "'. $sourceDir .'" to the folder "'. $destDir .'"';
}


// SQL wird nur ausgefuehrt, wenn die Tabelle noch nicht in der DB existiert.
if ($error == '' || strlen($error) < 3)
{
  $error = rex_install_dump($basedir.'/install.sql', false);
}


if ($error != '' && strlen($error) > 3)
{
  $REX['ADDON']['install']['mp_tags'] = false;
  $REX['ADDON']['installmsg']['mp_tags'] = $error;
}
else
{
  $REX['ADDON']['install']['mp_tags'] = true;
}

?>