<?php
/**
 * MP Tags Addon 
 * @author bade[at]maple-park[dot]de Heinz Bade
 * @author <a href="http://www.maple-park.de">www.maple-park.de</a>
 * @package redaxo 4
 * @version $Id: tags.inc.php,v 1.1 2013/09/17 20:13:00 elektra$
 */

//------------------------------> Parameter
$debug = false;
$clang = rex_request('clang', 'int', 0);
$func = rex_request('func', 'string');
$id = rex_request('id', 'int', 0);
$mode = rex_request('mode', 'string');


//------------------------------> Eintrag speichern
require_once $REX['INCLUDE_PATH'].'/addons/'.$page.'/extensions/extension_addon.inc.php';
rex_register_extension('REX_FORM_SAVED', 'mp_tags_update_article_count');


//------------------------------> Eintrag lschen
if ($func == 'delete')
{
  $sql = rex_sql::factory();
  $sql->setDebug($debug);
  $sql->setTable($REX['TABLE_PREFIX'].'mp_tags');
  $sql->setWhere('id = '. $id);
  echo rex_info($sql->delete($I18N->msg('tags_tag_deleted')));
  $func = '';
}


//------------------------------> Eintragsliste
if ($func == '')
{
  $list = rex_list::factory('SELECT `id`, `term`, `clang`, `rel_art_count` FROM `'.$REX['TABLE_PREFIX'].'mp_tags` WHERE `clang` = '.$clang, 30, null, $debug);
  $list->addTableColumnGroup(array(40, 40, '*', 100, 100, 150));
  $list->addParam('clang', $clang);

  $thIcon = '<a class="rex-i-element rex-i-article-add" href="'. $list->getUrl(array('func' => 'add')) .'"><span class="rex-i-element-text">'.$I18N->msg('tags_create_tag').'</span></a>';
  $tdIcon = '<span class="rex-i-element rex-i-article"><span class="rex-i-element-text">'.$I18N->msg('tags_edit_tag').'</span></span>';
  $list->addColumn($thIcon, $tdIcon, 0, array('<th class="rex-icon">###VALUE###</th>','<td class="rex-icon">###VALUE###</td>'));
  $list->setColumnParams($thIcon, array('func' => 'edit', 'id' => '###id###'));

  $list->setColumnLabel('id', 'ID');
  $list->setColumnLayout('id', array('<th class="rex-small">###VALUE###</th>','<td class="rex-small">###VALUE###</td>'));

  $list->setColumnLabel('term', $I18N->msg('tags_label_term'));
  $list->setColumnParams('term', array('func' => 'edit', 'id' => '###id###'));

  $list->setColumnLabel('clang', $I18N->msg('tags_label_lang'));
  $list->setColumnFormat('clang', 'custom',
    create_function(
       '$params',
       'global $REX;
        $list = $params["list"];
        return $REX["CLANG"][$list->getValue("clang")];'
    )
  );

  $list->setColumnLabel('rel_art_count', $I18N->msg('tags_label_count'));

  $list->addColumn($I18N->msg('tags_label_functions'), $I18N->msg('tags_delete_tag'));
  $list->setColumnParams($I18N->msg('tags_label_functions'), array('func' => 'delete', 'id' => '###id###'));
  $list->addLinkAttribute($I18N->msg('tags_label_functions'), 'onclick', 'return confirm(\''.$I18N->msg('delete').' ?\')');

  $list->show();
}

//------------------------------> Formular
elseif ($func == 'edit' || $func == 'add')
{
  //$form = rex_form::factory($REX['TABLE_PREFIX'].'mp_tags', $I18N->msg('tags_edit_tag'), 'clang = '.$clang .' AND id = '.$id, 'post', $debug);
  require_once $REX['INCLUDE_PATH'].'/addons/'.$page.'/classes/class.tag_form.inc.php';
  $form = new rex_tag_form($REX['TABLE_PREFIX'].'mp_tags', $I18N->msg('tags_edit_tag'), 'clang = '.$clang .' AND id = '.$id, 'post', $debug);

  $form->addParam('clang', $clang);

  if ($func == 'edit')
  {
    $form->addParam('id', $id);
  }

  $field =& $form->addReadOnlyField('clang', $REX['CLANG'][$clang]);
  $field->setLabel($I18N->msg('tags_label_lang'));
  if ($func == 'add')
  {
    $field =& $form->addHiddenField('clang', $clang);
  }

  $field =& $form->addTextField('term');
  $field->setLabel($I18N->msg('tags_label_term'));
  $field->setNotice($I18N->msg('tags_notice_term'));

  $field =& $form->addLinklistField('rel_art_ids');
  $field->setLabel($I18N->msg('tags_label_related_articles'));

  $form->show();

}

?>